Outdated .pot file

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Outdated .pot file

Luigi Baldoni
trunk/lcn/50-pot/scout.pot is outdated.

Since the only difference from https://github.com/openSUSE/scout/blob/master/i18n/scout/scout.pot
is a typo correction (retreive->retrieve) and since the newer svn translations would have to be
merged back to github, I was wondering if it would be possible to correct it on the fly without
having to involve the translator for every locale.

Regards
Reply | Threaded
Open this post in threaded view
|

Re: Outdated .pot file

Yasuhiko Kamata
trunk/lcn/50-pot/libstorage.pot is also outdated.

"Crate subvolume xxx on device xxx with option "no copy on write""
is not translated yet while installation of 42.1-beta1,
but there is no corresponded entry in libstorage.pot.

(this entry is located at libstorage/storage/Btrfs.cc:987)
(https://github.com/openSUSE/libstorage/blob/master/storage/Btrfs.cc)

On Fri, 25 Sep 2015 01:31:13 -0700 (PDT)
Luigi Baldoni <[hidden email]> wrote:

> trunk/lcn/50-pot/scout.pot is outdated.
>
> Since the only difference from
> https://github.com/openSUSE/scout/blob/master/i18n/scout/scout.pot
> is a typo correction (retreive->retrieve) and since the newer svn
> translations would have to be
> merged back to github, I was wondering if it would be possible to
> correct it on the fly without
> having to involve the translator for every locale.
>
> Regards
>
>
>
> --
> View this message in context:
> http://opensuse.14.x6.nabble.com/Outdated-pot-file-tp5047798.html
> Sent from the opensuse-translation mailing list archive at Nabble.com.
> --
> To unsubscribe, e-mail: [hidden email]
> To contact the owner, e-mail: [hidden email]
>


--
Yasuhiko Kamata
E-mail: [hidden email]
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Outdated .pot file

Yasuhiko Kamata
yast2-trans should be updated because it is not updated
for about 4 or 5 months.

On Mon, 28 Sep 2015 07:56:01 +0900
Yasuhiko Kamata <[hidden email]> wrote:

> trunk/lcn/50-pot/libstorage.pot is also outdated.
>
> "Crate subvolume xxx on device xxx with option "no copy on write""
> is not translated yet while installation of 42.1-beta1,
> but there is no corresponded entry in libstorage.pot.
>
> (this entry is located at libstorage/storage/Btrfs.cc:987)
> (https://github.com/openSUSE/libstorage/blob/master/storage/Btrfs.cc)
>
> On Fri, 25 Sep 2015 01:31:13 -0700 (PDT)
> Luigi Baldoni <[hidden email]> wrote:
>
> > trunk/lcn/50-pot/scout.pot is outdated.
> >
> > Since the only difference from
> > https://github.com/openSUSE/scout/blob/master/i18n/scout/scout.pot
> > is a typo correction (retreive->retrieve) and since the newer svn
> > translations would have to be
> > merged back to github, I was wondering if it would be possible to
> > correct it on the fly without
> > having to involve the translator for every locale.
> >
> > Regards
> >
> >
> >
> > --
> > View this message in context:
> > http://opensuse.14.x6.nabble.com/Outdated-pot-file-tp5047798.html
> > Sent from the opensuse-translation mailing list archive at
> > Nabble.com.
> > --
> > To unsubscribe, e-mail: opensuse-translation
> > +[hidden email] To contact the owner, e-mail:
> > [hidden email]
> >
>
>
> --
> Yasuhiko Kamata
> E-mail: [hidden email]
> --
> To unsubscribe, e-mail: [hidden email]
> To contact the owner, e-mail: [hidden email]
>


--
Yasuhiko Kamata
E-mail: [hidden email]
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Outdated .pot file

Carlos E. R.-3
In reply to this post by Luigi Baldoni
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256



El 2015-09-25 a las 01:31 -0700, Luigi Baldoni escribió:

> trunk/lcn/50-pot/scout.pot is outdated.
>
> Since the only difference from
> https://github.com/openSUSE/scout/blob/master/i18n/scout/scout.pot
> is a typo correction (retreive->retrieve) and since the newer svn
> translations would have to be
> merged back to github, I was wondering if it would be possible to correct it
> on the fly without
> having to involve the translator for every locale.

A merge without changing the fuzzy status of that single message would
work, /if/ the existing .po was current before that. Ie, it the msgid
matches the prvious one (ie, the merge status of the .po /was/ current).

Mmm... I don't think I'm explaining myself very well :-}


- --
Cheers
        Carlos E. R.

        (from 13.1 x86_64 "Bottle" (Minas Tirith))

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iF4EAREIAAYFAlYJK30ACgkQja8UbcUWM1z1bwEAi0s9dQE+n3CS2vuhqX8wuMN9
SewnKfsb434fMUR4lfABAKCsrutOIe3HepOcA92G2SOpSU0EOJQXTNwJKP/ZcIg4
=UDbn
-----END PGP SIGNATURE-----
Reply | Threaded
Open this post in threaded view
|

Re: Outdated .pot file

Ancor Gonzalez Sosa
In reply to this post by Yasuhiko Kamata
On 09/28/2015 01:17 AM, Yasuhiko Kamata wrote:
> yast2-trans should be updated because it is not updated
> for about 4 or 5 months.

I try to keep the YaST .pot files in the svn fairly up to date, but I
don't know who and when triggers the update of yast2-trans.


> On Mon, 28 Sep 2015 07:56:01 +0900
> Yasuhiko Kamata <[hidden email]> wrote:
>
>> trunk/lcn/50-pot/libstorage.pot is also outdated.
>>
>> "Crate subvolume xxx on device xxx with option "no copy on write""
>> is not translated yet while installation of 42.1-beta1,
>> but there is no corresponded entry in libstorage.pot.
>>
>> (this entry is located at libstorage/storage/Btrfs.cc:987)
>> (https://github.com/openSUSE/libstorage/blob/master/storage/Btrfs.cc)
>>
>> On Fri, 25 Sep 2015 01:31:13 -0700 (PDT)
>> Luigi Baldoni <[hidden email]> wrote:
>>
>>> trunk/lcn/50-pot/scout.pot is outdated.
>>>
>>> Since the only difference from
>>> https://github.com/openSUSE/scout/blob/master/i18n/scout/scout.pot
>>> is a typo correction (retreive->retrieve) and since the newer svn
>>> translations would have to be
>>> merged back to github, I was wondering if it would be possible to
>>> correct it on the fly without
>>> having to involve the translator for every locale.
>>>
>>> Regards
>>>
>>>
>>>
>>> --
>>> View this message in context:
>>> http://opensuse.14.x6.nabble.com/Outdated-pot-file-tp5047798.html
>>> Sent from the opensuse-translation mailing list archive at
>>> Nabble.com.
>>> --
>>> To unsubscribe, e-mail: opensuse-translation
>>> +[hidden email] To contact the owner, e-mail:
>>> [hidden email]
>>>
>>
>>
>> --
>> Yasuhiko Kamata
>> E-mail: [hidden email]
>> --
>> To unsubscribe, e-mail: [hidden email]
>> To contact the owner, e-mail: [hidden email]
>>
>
>


--
Ancor González Sosa
YaST Team at SUSE Linux GmbH
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Outdated .pot file

Carlos E. R.-3
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256



El 2015-09-28 a las 19:12 +0200, Ancor Gonzalez Sosa escribió:
> On 09/28/2015 01:17 AM, Yasuhiko Kamata wrote:
>> yast2-trans should be updated because it is not updated
>> for about 4 or 5 months.
>
> I try to keep the YaST .pot files in the svn fairly up to date, but I
> don't know who and when triggers the update of yast2-trans.

IMO, someone should create a cronjob that does this, automatically. If
not cron, then as part of the build process.

- --
Cheers
        Carlos E. R.

        (from 13.1 x86_64 "Bottle" (Minas Tirith))

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iF4EAREIAAYFAlYJhrAACgkQja8UbcUWM1xLdgD/X5GsJdSDU0nAlmitOxzIIhTD
3uxGLgDJiuRr0DL738gA/iV42+Oqyh139H/RkKxydxn+5rI7aaaItvfoNJpK1+oF
=IOAg
-----END PGP SIGNATURE-----
Reply | Threaded
Open this post in threaded view
|

Re: Outdated .pot file

Karl Eichwalder
In reply to this post by Ancor Gonzalez Sosa
Ancor Gonzalez Sosa <[hidden email]> writes:

> I try to keep the YaST .pot files in the svn fairly up to date, but I
> don't know who and when triggers the update of yast2-trans.

I usually do this manually.  Unfortunately, the automake stuff is
(still) broken; yast-devtools changed some time ago...

I'll check in configure.ac and Makefile.am for all languages -- then we
will no longer depend on y2tool...

--
Karl Eichwalder            SUSE Linux GmbH
R&D / Documentation        Maxfeldstraße 5
                           90409 Nürnberg, Germany
GF: Felix Imendörffer, Jane Smithard, Graham Norton, HRB 21284 (AG Nürnberg)
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Outdated .pot file

Karl Eichwalder
Karl Eichwalder <[hidden email]> writes:

> I'll check in configure.ac and Makefile.am for all languages -- then we
> will no longer depend on y2tool...

From YaST:Head I submitted to openSUSE:Factory.

--
Karl Eichwalder            SUSE Linux GmbH
R&D / Documentation        Maxfeldstraße 5
                           90409 Nürnberg, Germany
GF: Felix Imendörffer, Jane Smithard, Graham Norton, HRB 21284 (AG Nürnberg)
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]